﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using TreeviewAngular.Models;

namespace TreeviewAngular.ApiControllers
{
    public class TreeViewApiController : ApiController
    {
        // GET api/<controller>
        [Route("api/treeView/")]
        public IEnumerable<TreeViewViewModel> GetInstances()
        {
            var instanceList = new List<TreeViewViewModel>();

            var instance1 = new TreeViewViewModel { Id = Guid.NewGuid(), Name = "Instance 1", HasChild = true };
            var child1instance1 = new TreeViewViewModel { Id = Guid.NewGuid(), ParentId = instance1.Id, Name = "Child 1 Instance 1" };
            var child1instance2 = new TreeViewViewModel { Id = Guid.NewGuid(), ParentId = instance1.Id, Name = "Child 1 Instance 2" };
            var child1instance3 = new TreeViewViewModel { Id = Guid.NewGuid(), ParentId = instance1.Id, Name = "Child 1 Instance 3" };
            var child1instance4 = new TreeViewViewModel { Id = Guid.NewGuid(), ParentId = instance1.Id, Name = "Child 1 Instance 4" };
            instanceList.Add(instance1);
            instanceList.Add(child1instance1);
            instanceList.Add(child1instance2);
            instanceList.Add(child1instance3);
            instanceList.Add(child1instance4);

            var instance2 = new TreeViewViewModel { Id = Guid.NewGuid(), Name = "Instance 2", HasChild = true };
            var child2instance1 = new TreeViewViewModel { Id = Guid.NewGuid(), ParentId = instance2.Id, Name = "Child 2 Instance 1" };
            var child2instance2 = new TreeViewViewModel { Id = Guid.NewGuid(), ParentId = instance2.Id, Name = "Child 2 Instance 2" };
            var child2instance3 = new TreeViewViewModel { Id = Guid.NewGuid(), ParentId = instance2.Id, Name = "Child 2 Instance 3" };
            var child2instance4 = new TreeViewViewModel { Id = Guid.NewGuid(), ParentId = instance2.Id, Name = "Child 2 Instance 4" };
            instanceList.Add(instance2);
            instanceList.Add(child2instance1);
            instanceList.Add(child2instance2);
            instanceList.Add(child2instance3);
            instanceList.Add(child2instance4);

            return instanceList;
        }
    }
}